//variables used in startcode()
var source 	//source of code sample
var wid		//width of code example window
var hei		//height of code example window



//open a code example (code stepper) window.
function startcode(source,wid,hei)
{
//var bigWidth = wid + 10  //used for resizing new code example window
//var bigHeight = hei + 49 //used for resizing new code example window
	
	if (top.archwin)	//if a window object called "archwin" exists...
	{
		
		if (!top.archwin.closed) //...check if archwin has not been closed. If it is open...
			{
			top.archwin.close(); //...close archwin and continue
			//top.archwin.resizeTo(bigWidth,bigHeight);  //doesn't work in Netscape.
			}
	} 
	var windowwidth="width="
	var windowheight=",height=" 
	var windowstatus=",status"
	top.archwin = open(source,"code_eg",windowwidth + wid + windowheight + hei + windowstatus);
	//top.archwin.focus();
	
}

function doUnloadOpener()
{
if (top.archwin!=null)
{
	top.archwin.noOpener=true;
	top.archwin.close();
}	
}


function doUnloadSelf()
{
	if (self.noOpener==null && window.opener!=null && window.opener.archwin!=null) 
	{
		window.opener.archwin=null;
	}
}


function closeWindow()
{
	if(top.archwin)
	{
		top.archwin.close()
	}
}

function gloss(glossFile)
{
gloswin = open(glossFile,"Glossary","location=0,width=400,height=200,status=0,scrollbars=1,resizable=1");
gloswin.focus();
}
